Debian セキュリティ勧告

DSA-1290-1 squirrelmail -- 入力に対するサニタイジングの欠落

報告日時:
2007-05-13
影響を受けるパッケージ:
squirrelmail
危険性:
あり
参考セキュリティデータベース:
Mitre の CVE 辞書: CVE-2007-1262.
詳細:

web メールのパッケージである Squirrelmail が HTML フィルタについて、 十分なサニタイズ処理を実施していない為、HTML メールの表示の際に任意の web スクリプトコードが挿入可能となっていることが発見されました。

旧安定版ディストリビューション (コードネーム sarge) では、 この問題はバージョン 2:1.4.4-11 で修正されています。

安定版ディストリビューション (stable、コードネーム etch) では、 この問題はバージョン 2:1.4.9a-2 で修正されています。

不安定版ディストリビューション (unstable、コードネーム sid) では、 この問題はバージョン 2:1.4.10a-1 で修正されています。

squirrelmail パッケージのアップグレードをお勧めします。

修正:

Debian GNU/Linux 3.1 (sarge)

ソース:
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.4-11.dsc
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.4-11.diff.gz
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.4.orig.tar.gz
アーキテクチャ非依存コンポーネント:
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.4-11_all.deb

Debian GNU/Linux 4.0 (etch)

ソース:
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.9a-2.dsc
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.9a-2.diff.gz
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.9a.orig.tar.gz
アーキテクチャ非依存コンポーネント:
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.9a-2_all.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。